@node sntp Invocation
@section Invoking sntp
@pindex sntp
@cindex standard SNTP program
@ignore
# 
# EDIT THIS FILE WITH CAUTION  (sntp-opts.texi)
# 
# It has been AutoGen-ed  Tuesday December  8, 2009 at 08:14:51 AM EST
# From the definitions    sntp-opts.def
# and the template file   aginfo.tpl
@end ignore
This program has no explanation.

.I sntp
can be used as a SNTP client to query a NTP or SNTP server and either display
the time or set the local system's time (given suitable privilege).  It can be
run as an interactive command or in a
.I cron
job.
NTP is the Network Time Protocol (RFC 1305) and SNTP is the
Simple Network Time Protocol (RFC 2030, which supersedes RFC 1769).

This section was generated by @strong{AutoGen},
the aginfo template and the option descriptions for the @command{sntp} program.  It documents the sntp usage text and option meanings.

This software is released under a specialized copyright license.

@menu
* sntp usage::                  sntp usage help (-?)
* sntp adjtime::                adjtime option (-a)
* sntp extraverbose::           extraverbose option (-V)
* sntp ipv4::                   ipv4 option (-4)
* sntp ipv6::                   ipv6 option (-6)
* sntp megaverbose::            megaverbose option (-W)
* sntp normalverbose::          normalverbose option (-v)
* sntp settimeofday::           settimeofday option (-r)
* sntp unprivport::             unprivport option (-u)
@end menu

@node sntp usage
@subsection sntp usage help (-?)
@cindex sntp usage

This is the automatically generated usage text for sntp:

@exampleindent 0
@example
sntp - standard SNTP program - Ver. 4.2.5p247-RC
USAGE:  sntp [ -<flag> [<val>] | --<name>[@{=| @}<val>] ]... ...
  Flg Arg Option-Name    Description
   -4 no  ipv4           Force IPv4 DNS name resolution
                                - prohibits these options:
                                ipv6
   -6 no  ipv6           Force IPv6 DNS name resolution
                                - prohibits these options:
                                ipv4
   -d no  normalverbose  Normal verbose
   -K Str kod            KoD history filename
   -p no  syslog         Logging with syslog
                                - prohibits these options:
                                filelog
   -l Str filelog        Logging to specified logfile
                                - prohibits these options:
                                syslog
   -s no  settod         Set (step) the time with settimeofday()
                                - prohibits these options:
                                adjtime
   -j no  adjtime        Set (slew) the time with adjtime()
                                - prohibits these options:
                                settod
   -b Str broadcast      Use broadcasts to the address specified for synchronisation
   -t Num timeout        Specify the number of seconds to wait for broadcasts
   -a Num authentication Enable authentication with the key keyno. This option is used as -a keyno
   -k Str keyfile        Specify a keyfile. SNTP will look in this file for the key specified with -a
      opt version        Output version information and exit
   -? no  help           Display extended usage information and exit
   -! no  more-help      Extended usage information passed thru pager
   -> opt save-opts      Save the option state to a config file
   -< Str load-opts      Load options from a config file
                                - disabled as --no-load-opts
                                - may appear multiple times

Options are specified by doubled hyphens and their name
or by a single hyphen and the flag character.

The following option preset mechanisms are supported:
 - reading file /users/stenn/.ntprc
 - reading file /deacon/backroom/snaps/ntp-stable/sntp/.ntprc
 - examining environment variables named SNTP_*

.I sntp
can be used as a SNTP client to query a NTP or SNTP server and either display
the time or set the local system's time (given suitable privilege).  It can be
run as an interactive command or in a
.I cron
job.
NTP is the Network Time Protocol (RFC 1305) and SNTP is the
Simple Network Time Protocol (RFC 2030, which supersedes RFC 1769).

please send bug reports to:  http://bugs.ntp.org, bugs@@ntp.org
@end example
@exampleindent 4

@node sntp ipv4
@subsection ipv4 option (-4)
@cindex sntp-ipv4

This is the ``force ipv4 dns name resolution'' option.

This option has some usage constraints.  It:
@itemize @bullet
@item
is a member of the ipv4 class of options.
@end itemize

Force DNS resolution of following host names on the command line
to the IPv4 namespace.

@node sntp ipv6
@subsection ipv6 option (-6)
@cindex sntp-ipv6

This is the ``force ipv6 dns name resolution'' option.

This option has some usage constraints.  It:
@itemize @bullet
@item
is a member of the ipv4 class of options.
@end itemize

Force DNS resolution of following host names on the command line
to the IPv6 namespace.

@node sntp unprivport
@subsection unprivport option (-u)
@cindex sntp-unprivport

This is the ``use an unprivileged port'' option.
Use an unprivilegded UDP port for our queries.

@node sntp normalverbose
@subsection normalverbose option (-v)
@cindex sntp-normalverbose

This is the ``slightly verbose'' option.

This option has some usage constraints.  It:
@itemize @bullet
@item
must not appear in combination with any of the following options:
extraverbose, megaverbose.
@end itemize

Diagnostic messages for non-fatal errors and a limited amount of
tracing should be written to standard error.  Fatal ones always
produce a diagnostic.  This option should be set when there is a
suspected problem with the server, network or the source.

@node sntp extraverbose
@subsection extraverbose option (-V)
@cindex sntp-extraverbose

This is the ``extra verbose'' option.

This option has some usage constraints.  It:
@itemize @bullet
@item
must not appear in combination with any of the following options:
normalverbose, megaverbose.
@end itemize

Produce more and less comprehensible output, mainly for investigating
problems with apparently inconsistent timestamps.  This option should
be set when the program fails with a message indicating that is the
trouble.

@node sntp megaverbose
@subsection megaverbose option (-W)
@cindex sntp-megaverbose

This is the ``mega verbose'' option.

This option has some usage constraints.  It:
@itemize @bullet
@item
must not appear in combination with any of the following options:
normalverbose, extraverbose.
@end itemize

Very verbose debugging output that will interfere with the timing
when writing to the terminal (because of line buffered output from C).
Note that the times produced by this are the corrections needed, and
not the error in the local clock.  This option should be set only when
debugging the source.

@node sntp settimeofday
@subsection settimeofday option (-r)
@cindex sntp-settimeofday

This is the ``set (step) the time with settimeofday()'' option.

This option has some usage constraints.  It:
@itemize @bullet
@item
must not appear in combination with any of the following options:
adjtime.
@end itemize



@node sntp adjtime
@subsection adjtime option (-a)
@cindex sntp-adjtime

This is the ``set (slew) the time with adjtime()'' option.

This option has some usage constraints.  It:
@itemize @bullet
@item
must not appear in combination with any of the following options:
settimeofday.
@end itemize


